.sd-classic-mensagem-icon span{
    font-size: 3rem;
}
.sd-classic-mensagem,
.sd-classic-mensagem-wrapper{
    
    display: flex;
    gap: .5rem;
    width: 100%;
    
}
.sd-classic-mensagem-wrapper{
    flex-direction: column;
    
}
.sd-classic-mensagem-wrapper footer{
    display: flex;
    justify-content: space-between;
    
}

.sd-classic-mensagem-content{
    gap: 4px;
    display: flex;
    flex-direction: column;
}

.sd-classic-mensagem{
    
    flex-direction: row;
    align-items: center;
}
.sd-classic-codigo-mensagem{
    align-self: self-end;
    margin: 5px;
    font-size: 10px;
}


.sd-classic-mensagem-content a {
    align-self: end;
    margin-top: 10px;
}


[data-component*="sd-dialog"] .sd-notification{
    
    position: sticky;
    top: 0;
    
}

[data-component*="sd-dialog"] * {
    box-sizing   : border-box;
    outline-color: var(--dlg-outline-c, hsl(218, 79.19%, 35%))
}

[data-component*="sd-dialog"]{
    
    width: 100%;
    height: 100%;
    visibility: hidden;
}
[data-component*="sd-dialog"] .dialog-wrapper{
    position: relative;
    visibility      : visible;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    
}
[data-ref="message"]{
    padding: 2rem 1rem 1rem 0rem;
}
[data-ref="message"]:has(div) {
    padding: 0;
} 


[data-component*="sd-dialog"] .dialog-header{
    color:rgba(51, 49, 57, 0.494);
    display: flex;
    justify-content: center;
    align-items: center;
    pointer-events: none;
}
[data-component*="sd-dialog"] .dialog-header .dialog-icon{ transform: rotate(90deg);}

[data-component*="sd-dialog"] form:active{
    cursor: grabbing;   
}
[data-component*="sd-dialog"]{
    font-size      : 12px;
    
}
[data-component*="sd-dialog"] form {
    cursor:  grab;
    
    --dlg-gap      : 1em;
    background     : var(--dlg-bg, #f5f5f5);
    border         : var(--dlg-b, 0);
    border-radius  : var(--dlg-bdrs, 0.25em);
    box-shadow     : var(--dlg-bxsh, 0px 25px 50px -12px rgba(0, 0, 0, 0.25));
    font-family    : var(--dlg-ff, ui-sansserif, system-ui, sans-serif);
    min-inline-size: var(--dlg-mis, auto);
    padding        : var(--dlg-p, var(--dlg-gap)) var(--dlg-p, var(--dlg-gap)) 0 var(--dlg-p, var(--dlg-gap));
    max-width      : var(--dlg-w, fit-content);
    max-height     : 80%;
    
}
[data-component*="sd-dialog"] form *{
    cursor: default;
}
/* [data-component*="sd-dialog"] form a{
    color: inherit;
} */
[data-component*="sd-dialog"] form a,[data-component*="sd-dialog"] form button{
    cursor: pointer;
}

[data-component*="sd-dialog"] form legend{ padding: 0;}

[data-component="no-sd-dialog"]:not([hidden]) {
    display           : block;
    inset-block-start : var(--dlg-gap);
    inset-inline-start: 50%;
    position          : fixed;
    transform         : translateX(-50%);
}

[data-component="no-sd-dialog"]::after {
    width   : 100%;
    height  : 100%;
    position: fixed;
}

[data-component*="sd-dialog"] menu {
    display        : flex;
    gap            : calc(var(--dlg-gap) / 2);
    justify-content: var(--dlg-menu-jc, flex-end);
    margin         : 0;
    padding        : 0;
    
    
    position: sticky;
    bottom: 0;
    background: #f5f5f5;
    padding: 15px 0 15px 0;
    
    
    box-shadow: 0 -1px 0px 0px #ffffff, 0 -12px 15px -20px #0000008f;

    
}

/* [data-component*="sd-dialog"] menu button {
    background-color: var(--dlg-button-bgc);
    border          : 0;
    border-radius   : var(--dlg-bdrs, 0.25em);
    color           : var(--dlg-button-c);
    font-size       : var(--dlg-button-fz, 0.8em);
    padding         : var(--dlg-button-p, 0.65em 1.5em);
} */
[data-component*="sd-dialog"]::backdrop{
    border-radius: 3px;
}
[data-component*="sd-dialog"] menu button{
       min-width: 6.7em;
}

[data-component*="sd-dialog"] [data-ref="accept"] {
    --dlg-button-bgc: var(--dlg-accept-bgc, hsl(218, 79.19%, 46.08%));
    --dlg-button-c  : var(--dlg-accept-c, #fff);
}

[data-component*="sd-dialog"] [data-ref="cancel"] {
    --dlg-button-bgc: var(--dlg-cancel-bgc, transparent);
    --dlg-button-c  : var(--dlg-cancel-c, inherit);
}

[data-component*="sd-dialog"] [data-ref="fieldset"] {
    border : 0;
    margin : unset;
    padding: unset;
    background: unset;
}

[data-component*="sd-dialog"] [data-ref="message"] {
    font-size       : var(--dlg-message-fz, 1.25em);
    margin-block-end: var(--dlg-gap);
}

[data-component*="sd-dialog"] [data-ref="template"]:not(:empty) {
    margin-block-end: var(--dlg-gap);
    width           : 100%;
}

/* hack for Firefox */
@-moz-document url-prefix() {
    [data-component="no-sd-dialog"]:not([hidden]) {
        inset-inline-start: 0;
        transform         : none;
    }
}

/* added to `body` when browser do not support `<sd-dialog>` */
.sd-dialog-open {
    background-color: rgba(0, 0, 0, .1);
    overflow        : hidden;
}

/* FOR DEMO */
[data-component*="sd-dialog"] [name="prompt"] {
    border : 1px solid silver;
    padding: .6em 1em;
    width  : 100%;
}


[data-component*="sd-dialog"] button[id] {
    background-color : rgb(239, 239, 239);
    border           : 1px solid rgb(118, 118, 118);
    border-radius    : .25em;
    font-size        : .8rem;
    margin-inline-end: .25em;
    padding          : 1em 2em;
}

[data-component*="sd-dialog"] button[id]:hover {
    background-color: rgb(250, 250, 250);
    border-color    : rgb(0, 0, 0);
    color           : rgb(0, 0, 0);
}

/* [data-component*="sd-dialog"] form {
    padding: .054rem;
} */